Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network84.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
84.0.0.0
Broadcast address
87.255.255.255
First usable
84.0.0.1
Last usable
87.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 54000000 · Integer 1409286144 to 1476395007
Reverse DNS zones
84.in-addr.arpa
85.in-addr.arpa
86.in-addr.arpa
87.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010100.00000000.00000000.0000000084.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01010100.00000000.00000000.0000000084.0.0.0
Broadcast01010111.11111111.11111111.1111111187.255.255.255
Split into smaller subnets/16

84.0.0.0/6 makes 1,024 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
184.0.0.0/1684.0.0.1 to 84.0.255.25484.0.255.25565,534
284.1.0.0/1684.1.0.1 to 84.1.255.25484.1.255.25565,534
384.2.0.0/1684.2.0.1 to 84.2.255.25484.2.255.25565,534
484.3.0.0/1684.3.0.1 to 84.3.255.25484.3.255.25565,534
584.4.0.0/1684.4.0.1 to 84.4.255.25484.4.255.25565,534
684.5.0.0/1684.5.0.1 to 84.5.255.25484.5.255.25565,534
784.6.0.0/1684.6.0.1 to 84.6.255.25484.6.255.25565,534
884.7.0.0/1684.7.0.1 to 84.7.255.25484.7.255.25565,534
984.8.0.0/1684.8.0.1 to 84.8.255.25484.8.255.25565,534
1084.9.0.0/1684.9.0.1 to 84.9.255.25484.9.255.25565,534
1184.10.0.0/1684.10.0.1 to 84.10.255.25484.10.255.25565,534
1284.11.0.0/1684.11.0.1 to 84.11.255.25484.11.255.25565,534
1384.12.0.0/1684.12.0.1 to 84.12.255.25484.12.255.25565,534
1484.13.0.0/1684.13.0.1 to 84.13.255.25484.13.255.25565,534
1584.14.0.0/1684.14.0.1 to 84.14.255.25484.14.255.25565,534
1684.15.0.0/1684.15.0.1 to 84.15.255.25484.15.255.25565,534
1784.16.0.0/1684.16.0.1 to 84.16.255.25484.16.255.25565,534
1884.17.0.0/1684.17.0.1 to 84.17.255.25484.17.255.25565,534
1984.18.0.0/1684.18.0.1 to 84.18.255.25484.18.255.25565,534
2084.19.0.0/1684.19.0.1 to 84.19.255.25484.19.255.25565,534
2184.20.0.0/1684.20.0.1 to 84.20.255.25484.20.255.25565,534
2284.21.0.0/1684.21.0.1 to 84.21.255.25484.21.255.25565,534
2384.22.0.0/1684.22.0.1 to 84.22.255.25484.22.255.25565,534
2484.23.0.0/1684.23.0.1 to 84.23.255.25484.23.255.25565,534
2584.24.0.0/1684.24.0.1 to 84.24.255.25484.24.255.25565,534
2684.25.0.0/1684.25.0.1 to 84.25.255.25484.25.255.25565,534
2784.26.0.0/1684.26.0.1 to 84.26.255.25484.26.255.25565,534
2884.27.0.0/1684.27.0.1 to 84.27.255.25484.27.255.25565,534
2984.28.0.0/1684.28.0.1 to 84.28.255.25484.28.255.25565,534
3084.29.0.0/1684.29.0.1 to 84.29.255.25484.29.255.25565,534
3184.30.0.0/1684.30.0.1 to 84.30.255.25484.30.255.25565,534
3284.31.0.0/1684.31.0.1 to 84.31.255.25484.31.255.25565,534
3384.32.0.0/1684.32.0.1 to 84.32.255.25484.32.255.25565,534
3484.33.0.0/1684.33.0.1 to 84.33.255.25484.33.255.25565,534
3584.34.0.0/1684.34.0.1 to 84.34.255.25484.34.255.25565,534
3684.35.0.0/1684.35.0.1 to 84.35.255.25484.35.255.25565,534
3784.36.0.0/1684.36.0.1 to 84.36.255.25484.36.255.25565,534
3884.37.0.0/1684.37.0.1 to 84.37.255.25484.37.255.25565,534
3984.38.0.0/1684.38.0.1 to 84.38.255.25484.38.255.25565,534
4084.39.0.0/1684.39.0.1 to 84.39.255.25484.39.255.25565,534
4184.40.0.0/1684.40.0.1 to 84.40.255.25484.40.255.25565,534
4284.41.0.0/1684.41.0.1 to 84.41.255.25484.41.255.25565,534
4384.42.0.0/1684.42.0.1 to 84.42.255.25484.42.255.25565,534
4484.43.0.0/1684.43.0.1 to 84.43.255.25484.43.255.25565,534
4584.44.0.0/1684.44.0.1 to 84.44.255.25484.44.255.25565,534
4684.45.0.0/1684.45.0.1 to 84.45.255.25484.45.255.25565,534
4784.46.0.0/1684.46.0.1 to 84.46.255.25484.46.255.25565,534
4884.47.0.0/1684.47.0.1 to 84.47.255.25484.47.255.25565,534
4984.48.0.0/1684.48.0.1 to 84.48.255.25484.48.255.25565,534
5084.49.0.0/1684.49.0.1 to 84.49.255.25484.49.255.25565,534
5184.50.0.0/1684.50.0.1 to 84.50.255.25484.50.255.25565,534
5284.51.0.0/1684.51.0.1 to 84.51.255.25484.51.255.25565,534
5384.52.0.0/1684.52.0.1 to 84.52.255.25484.52.255.25565,534
5484.53.0.0/1684.53.0.1 to 84.53.255.25484.53.255.25565,534
5584.54.0.0/1684.54.0.1 to 84.54.255.25484.54.255.25565,534
5684.55.0.0/1684.55.0.1 to 84.55.255.25484.55.255.25565,534
5784.56.0.0/1684.56.0.1 to 84.56.255.25484.56.255.25565,534
5884.57.0.0/1684.57.0.1 to 84.57.255.25484.57.255.25565,534
5984.58.0.0/1684.58.0.1 to 84.58.255.25484.58.255.25565,534
6084.59.0.0/1684.59.0.1 to 84.59.255.25484.59.255.25565,534
6184.60.0.0/1684.60.0.1 to 84.60.255.25484.60.255.25565,534
6284.61.0.0/1684.61.0.1 to 84.61.255.25484.61.255.25565,534
6384.62.0.0/1684.62.0.1 to 84.62.255.25484.62.255.25565,534
6484.63.0.0/1684.63.0.1 to 84.63.255.25484.63.255.25565,534
6584.64.0.0/1684.64.0.1 to 84.64.255.25484.64.255.25565,534
6684.65.0.0/1684.65.0.1 to 84.65.255.25484.65.255.25565,534
6784.66.0.0/1684.66.0.1 to 84.66.255.25484.66.255.25565,534
6884.67.0.0/1684.67.0.1 to 84.67.255.25484.67.255.25565,534
6984.68.0.0/1684.68.0.1 to 84.68.255.25484.68.255.25565,534
7084.69.0.0/1684.69.0.1 to 84.69.255.25484.69.255.25565,534
7184.70.0.0/1684.70.0.1 to 84.70.255.25484.70.255.25565,534
7284.71.0.0/1684.71.0.1 to 84.71.255.25484.71.255.25565,534
7384.72.0.0/1684.72.0.1 to 84.72.255.25484.72.255.25565,534
7484.73.0.0/1684.73.0.1 to 84.73.255.25484.73.255.25565,534
7584.74.0.0/1684.74.0.1 to 84.74.255.25484.74.255.25565,534
7684.75.0.0/1684.75.0.1 to 84.75.255.25484.75.255.25565,534
7784.76.0.0/1684.76.0.1 to 84.76.255.25484.76.255.25565,534
7884.77.0.0/1684.77.0.1 to 84.77.255.25484.77.255.25565,534
7984.78.0.0/1684.78.0.1 to 84.78.255.25484.78.255.25565,534
8084.79.0.0/1684.79.0.1 to 84.79.255.25484.79.255.25565,534
8184.80.0.0/1684.80.0.1 to 84.80.255.25484.80.255.25565,534
8284.81.0.0/1684.81.0.1 to 84.81.255.25484.81.255.25565,534
8384.82.0.0/1684.82.0.1 to 84.82.255.25484.82.255.25565,534
8484.83.0.0/1684.83.0.1 to 84.83.255.25484.83.255.25565,534
8584.84.0.0/1684.84.0.1 to 84.84.255.25484.84.255.25565,534
8684.85.0.0/1684.85.0.1 to 84.85.255.25484.85.255.25565,534
8784.86.0.0/1684.86.0.1 to 84.86.255.25484.86.255.25565,534
8884.87.0.0/1684.87.0.1 to 84.87.255.25484.87.255.25565,534
8984.88.0.0/1684.88.0.1 to 84.88.255.25484.88.255.25565,534
9084.89.0.0/1684.89.0.1 to 84.89.255.25484.89.255.25565,534
9184.90.0.0/1684.90.0.1 to 84.90.255.25484.90.255.25565,534
9284.91.0.0/1684.91.0.1 to 84.91.255.25484.91.255.25565,534
9384.92.0.0/1684.92.0.1 to 84.92.255.25484.92.255.25565,534
9484.93.0.0/1684.93.0.1 to 84.93.255.25484.93.255.25565,534
9584.94.0.0/1684.94.0.1 to 84.94.255.25484.94.255.25565,534
9684.95.0.0/1684.95.0.1 to 84.95.255.25484.95.255.25565,534
9784.96.0.0/1684.96.0.1 to 84.96.255.25484.96.255.25565,534
9884.97.0.0/1684.97.0.1 to 84.97.255.25484.97.255.25565,534
9984.98.0.0/1684.98.0.1 to 84.98.255.25484.98.255.25565,534
10084.99.0.0/1684.99.0.1 to 84.99.255.25484.99.255.25565,534
10184.100.0.0/1684.100.0.1 to 84.100.255.25484.100.255.25565,534
10284.101.0.0/1684.101.0.1 to 84.101.255.25484.101.255.25565,534
10384.102.0.0/1684.102.0.1 to 84.102.255.25484.102.255.25565,534
10484.103.0.0/1684.103.0.1 to 84.103.255.25484.103.255.25565,534
10584.104.0.0/1684.104.0.1 to 84.104.255.25484.104.255.25565,534
10684.105.0.0/1684.105.0.1 to 84.105.255.25484.105.255.25565,534
10784.106.0.0/1684.106.0.1 to 84.106.255.25484.106.255.25565,534
10884.107.0.0/1684.107.0.1 to 84.107.255.25484.107.255.25565,534
10984.108.0.0/1684.108.0.1 to 84.108.255.25484.108.255.25565,534
11084.109.0.0/1684.109.0.1 to 84.109.255.25484.109.255.25565,534
11184.110.0.0/1684.110.0.1 to 84.110.255.25484.110.255.25565,534
11284.111.0.0/1684.111.0.1 to 84.111.255.25484.111.255.25565,534
11384.112.0.0/1684.112.0.1 to 84.112.255.25484.112.255.25565,534
11484.113.0.0/1684.113.0.1 to 84.113.255.25484.113.255.25565,534
11584.114.0.0/1684.114.0.1 to 84.114.255.25484.114.255.25565,534
11684.115.0.0/1684.115.0.1 to 84.115.255.25484.115.255.25565,534
11784.116.0.0/1684.116.0.1 to 84.116.255.25484.116.255.25565,534
11884.117.0.0/1684.117.0.1 to 84.117.255.25484.117.255.25565,534
11984.118.0.0/1684.118.0.1 to 84.118.255.25484.118.255.25565,534
12084.119.0.0/1684.119.0.1 to 84.119.255.25484.119.255.25565,534
12184.120.0.0/1684.120.0.1 to 84.120.255.25484.120.255.25565,534
12284.121.0.0/1684.121.0.1 to 84.121.255.25484.121.255.25565,534
12384.122.0.0/1684.122.0.1 to 84.122.255.25484.122.255.25565,534
12484.123.0.0/1684.123.0.1 to 84.123.255.25484.123.255.25565,534
12584.124.0.0/1684.124.0.1 to 84.124.255.25484.124.255.25565,534
12684.125.0.0/1684.125.0.1 to 84.125.255.25484.125.255.25565,534
12784.126.0.0/1684.126.0.1 to 84.126.255.25484.126.255.25565,534
12884.127.0.0/1684.127.0.1 to 84.127.255.25484.127.255.25565,534
12984.128.0.0/1684.128.0.1 to 84.128.255.25484.128.255.25565,534
13084.129.0.0/1684.129.0.1 to 84.129.255.25484.129.255.25565,534
13184.130.0.0/1684.130.0.1 to 84.130.255.25484.130.255.25565,534
13284.131.0.0/1684.131.0.1 to 84.131.255.25484.131.255.25565,534
13384.132.0.0/1684.132.0.1 to 84.132.255.25484.132.255.25565,534
13484.133.0.0/1684.133.0.1 to 84.133.255.25484.133.255.25565,534
13584.134.0.0/1684.134.0.1 to 84.134.255.25484.134.255.25565,534
13684.135.0.0/1684.135.0.1 to 84.135.255.25484.135.255.25565,534
13784.136.0.0/1684.136.0.1 to 84.136.255.25484.136.255.25565,534
13884.137.0.0/1684.137.0.1 to 84.137.255.25484.137.255.25565,534
13984.138.0.0/1684.138.0.1 to 84.138.255.25484.138.255.25565,534
14084.139.0.0/1684.139.0.1 to 84.139.255.25484.139.255.25565,534
14184.140.0.0/1684.140.0.1 to 84.140.255.25484.140.255.25565,534
14284.141.0.0/1684.141.0.1 to 84.141.255.25484.141.255.25565,534
14384.142.0.0/1684.142.0.1 to 84.142.255.25484.142.255.25565,534
14484.143.0.0/1684.143.0.1 to 84.143.255.25484.143.255.25565,534
14584.144.0.0/1684.144.0.1 to 84.144.255.25484.144.255.25565,534
14684.145.0.0/1684.145.0.1 to 84.145.255.25484.145.255.25565,534
14784.146.0.0/1684.146.0.1 to 84.146.255.25484.146.255.25565,534
14884.147.0.0/1684.147.0.1 to 84.147.255.25484.147.255.25565,534
14984.148.0.0/1684.148.0.1 to 84.148.255.25484.148.255.25565,534
15084.149.0.0/1684.149.0.1 to 84.149.255.25484.149.255.25565,534
15184.150.0.0/1684.150.0.1 to 84.150.255.25484.150.255.25565,534
15284.151.0.0/1684.151.0.1 to 84.151.255.25484.151.255.25565,534
15384.152.0.0/1684.152.0.1 to 84.152.255.25484.152.255.25565,534
15484.153.0.0/1684.153.0.1 to 84.153.255.25484.153.255.25565,534
15584.154.0.0/1684.154.0.1 to 84.154.255.25484.154.255.25565,534
15684.155.0.0/1684.155.0.1 to 84.155.255.25484.155.255.25565,534
15784.156.0.0/1684.156.0.1 to 84.156.255.25484.156.255.25565,534
15884.157.0.0/1684.157.0.1 to 84.157.255.25484.157.255.25565,534
15984.158.0.0/1684.158.0.1 to 84.158.255.25484.158.255.25565,534
16084.159.0.0/1684.159.0.1 to 84.159.255.25484.159.255.25565,534
16184.160.0.0/1684.160.0.1 to 84.160.255.25484.160.255.25565,534
16284.161.0.0/1684.161.0.1 to 84.161.255.25484.161.255.25565,534
16384.162.0.0/1684.162.0.1 to 84.162.255.25484.162.255.25565,534
16484.163.0.0/1684.163.0.1 to 84.163.255.25484.163.255.25565,534
16584.164.0.0/1684.164.0.1 to 84.164.255.25484.164.255.25565,534
16684.165.0.0/1684.165.0.1 to 84.165.255.25484.165.255.25565,534
16784.166.0.0/1684.166.0.1 to 84.166.255.25484.166.255.25565,534
16884.167.0.0/1684.167.0.1 to 84.167.255.25484.167.255.25565,534
16984.168.0.0/1684.168.0.1 to 84.168.255.25484.168.255.25565,534
17084.169.0.0/1684.169.0.1 to 84.169.255.25484.169.255.25565,534
17184.170.0.0/1684.170.0.1 to 84.170.255.25484.170.255.25565,534
17284.171.0.0/1684.171.0.1 to 84.171.255.25484.171.255.25565,534
17384.172.0.0/1684.172.0.1 to 84.172.255.25484.172.255.25565,534
17484.173.0.0/1684.173.0.1 to 84.173.255.25484.173.255.25565,534
17584.174.0.0/1684.174.0.1 to 84.174.255.25484.174.255.25565,534
17684.175.0.0/1684.175.0.1 to 84.175.255.25484.175.255.25565,534
17784.176.0.0/1684.176.0.1 to 84.176.255.25484.176.255.25565,534
17884.177.0.0/1684.177.0.1 to 84.177.255.25484.177.255.25565,534
17984.178.0.0/1684.178.0.1 to 84.178.255.25484.178.255.25565,534
18084.179.0.0/1684.179.0.1 to 84.179.255.25484.179.255.25565,534
18184.180.0.0/1684.180.0.1 to 84.180.255.25484.180.255.25565,534
18284.181.0.0/1684.181.0.1 to 84.181.255.25484.181.255.25565,534
18384.182.0.0/1684.182.0.1 to 84.182.255.25484.182.255.25565,534
18484.183.0.0/1684.183.0.1 to 84.183.255.25484.183.255.25565,534
18584.184.0.0/1684.184.0.1 to 84.184.255.25484.184.255.25565,534
18684.185.0.0/1684.185.0.1 to 84.185.255.25484.185.255.25565,534
18784.186.0.0/1684.186.0.1 to 84.186.255.25484.186.255.25565,534
18884.187.0.0/1684.187.0.1 to 84.187.255.25484.187.255.25565,534
18984.188.0.0/1684.188.0.1 to 84.188.255.25484.188.255.25565,534
19084.189.0.0/1684.189.0.1 to 84.189.255.25484.189.255.25565,534
19184.190.0.0/1684.190.0.1 to 84.190.255.25484.190.255.25565,534
19284.191.0.0/1684.191.0.1 to 84.191.255.25484.191.255.25565,534
19384.192.0.0/1684.192.0.1 to 84.192.255.25484.192.255.25565,534
19484.193.0.0/1684.193.0.1 to 84.193.255.25484.193.255.25565,534
19584.194.0.0/1684.194.0.1 to 84.194.255.25484.194.255.25565,534
19684.195.0.0/1684.195.0.1 to 84.195.255.25484.195.255.25565,534
19784.196.0.0/1684.196.0.1 to 84.196.255.25484.196.255.25565,534
19884.197.0.0/1684.197.0.1 to 84.197.255.25484.197.255.25565,534
19984.198.0.0/1684.198.0.1 to 84.198.255.25484.198.255.25565,534
20084.199.0.0/1684.199.0.1 to 84.199.255.25484.199.255.25565,534
20184.200.0.0/1684.200.0.1 to 84.200.255.25484.200.255.25565,534
20284.201.0.0/1684.201.0.1 to 84.201.255.25484.201.255.25565,534
20384.202.0.0/1684.202.0.1 to 84.202.255.25484.202.255.25565,534
20484.203.0.0/1684.203.0.1 to 84.203.255.25484.203.255.25565,534
20584.204.0.0/1684.204.0.1 to 84.204.255.25484.204.255.25565,534
20684.205.0.0/1684.205.0.1 to 84.205.255.25484.205.255.25565,534
20784.206.0.0/1684.206.0.1 to 84.206.255.25484.206.255.25565,534
20884.207.0.0/1684.207.0.1 to 84.207.255.25484.207.255.25565,534
20984.208.0.0/1684.208.0.1 to 84.208.255.25484.208.255.25565,534
21084.209.0.0/1684.209.0.1 to 84.209.255.25484.209.255.25565,534
21184.210.0.0/1684.210.0.1 to 84.210.255.25484.210.255.25565,534
21284.211.0.0/1684.211.0.1 to 84.211.255.25484.211.255.25565,534
21384.212.0.0/1684.212.0.1 to 84.212.255.25484.212.255.25565,534
21484.213.0.0/1684.213.0.1 to 84.213.255.25484.213.255.25565,534
21584.214.0.0/1684.214.0.1 to 84.214.255.25484.214.255.25565,534
21684.215.0.0/1684.215.0.1 to 84.215.255.25484.215.255.25565,534
21784.216.0.0/1684.216.0.1 to 84.216.255.25484.216.255.25565,534
21884.217.0.0/1684.217.0.1 to 84.217.255.25484.217.255.25565,534
21984.218.0.0/1684.218.0.1 to 84.218.255.25484.218.255.25565,534
22084.219.0.0/1684.219.0.1 to 84.219.255.25484.219.255.25565,534
22184.220.0.0/1684.220.0.1 to 84.220.255.25484.220.255.25565,534
22284.221.0.0/1684.221.0.1 to 84.221.255.25484.221.255.25565,534
22384.222.0.0/1684.222.0.1 to 84.222.255.25484.222.255.25565,534
22484.223.0.0/1684.223.0.1 to 84.223.255.25484.223.255.25565,534
22584.224.0.0/1684.224.0.1 to 84.224.255.25484.224.255.25565,534
22684.225.0.0/1684.225.0.1 to 84.225.255.25484.225.255.25565,534
22784.226.0.0/1684.226.0.1 to 84.226.255.25484.226.255.25565,534
22884.227.0.0/1684.227.0.1 to 84.227.255.25484.227.255.25565,534
22984.228.0.0/1684.228.0.1 to 84.228.255.25484.228.255.25565,534
23084.229.0.0/1684.229.0.1 to 84.229.255.25484.229.255.25565,534
23184.230.0.0/1684.230.0.1 to 84.230.255.25484.230.255.25565,534
23284.231.0.0/1684.231.0.1 to 84.231.255.25484.231.255.25565,534
23384.232.0.0/1684.232.0.1 to 84.232.255.25484.232.255.25565,534
23484.233.0.0/1684.233.0.1 to 84.233.255.25484.233.255.25565,534
23584.234.0.0/1684.234.0.1 to 84.234.255.25484.234.255.25565,534
23684.235.0.0/1684.235.0.1 to 84.235.255.25484.235.255.25565,534
23784.236.0.0/1684.236.0.1 to 84.236.255.25484.236.255.25565,534
23884.237.0.0/1684.237.0.1 to 84.237.255.25484.237.255.25565,534
23984.238.0.0/1684.238.0.1 to 84.238.255.25484.238.255.25565,534
24084.239.0.0/1684.239.0.1 to 84.239.255.25484.239.255.25565,534
24184.240.0.0/1684.240.0.1 to 84.240.255.25484.240.255.25565,534
24284.241.0.0/1684.241.0.1 to 84.241.255.25484.241.255.25565,534
24384.242.0.0/1684.242.0.1 to 84.242.255.25484.242.255.25565,534
24484.243.0.0/1684.243.0.1 to 84.243.255.25484.243.255.25565,534
24584.244.0.0/1684.244.0.1 to 84.244.255.25484.244.255.25565,534
24684.245.0.0/1684.245.0.1 to 84.245.255.25484.245.255.25565,534
24784.246.0.0/1684.246.0.1 to 84.246.255.25484.246.255.25565,534
24884.247.0.0/1684.247.0.1 to 84.247.255.25484.247.255.25565,534
24984.248.0.0/1684.248.0.1 to 84.248.255.25484.248.255.25565,534
25084.249.0.0/1684.249.0.1 to 84.249.255.25484.249.255.25565,534
25184.250.0.0/1684.250.0.1 to 84.250.255.25484.250.255.25565,534
25284.251.0.0/1684.251.0.1 to 84.251.255.25484.251.255.25565,534
25384.252.0.0/1684.252.0.1 to 84.252.255.25484.252.255.25565,534
25484.253.0.0/1684.253.0.1 to 84.253.255.25484.253.255.25565,534
25584.254.0.0/1684.254.0.1 to 84.254.255.25484.254.255.25565,534
25684.255.0.0/1684.255.0.1 to 84.255.255.25484.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses